VSTGUI: CRect Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
CRect Struct Reference

Rect structure. More...

## Public Member Functions
constexpr | CRect ()=default
constexpr | CRect (CCoord left, CCoord top, CCoord right, CCoord bottom)
constexpr | CRect (const CRect &r)=default
CRect & | operator= (const CRect &r)=default
| CRect (const CPoint &origin, const CPoint &size)
CRect & | operator() (CCoord left, CCoord top, CCoord right, CCoord bottom)
constexpr bool | operator!= (const CRect &other) const
constexpr bool | operator== (const CRect &other) const
constexpr CCoord | getWidth () const
constexpr CCoord | getHeight () const
CRect & | setWidth (CCoord width)
CRect & | setHeight (CCoord height)
CPoint | getTopLeft () const
CPoint | getTopRight () const
CPoint | getBottomLeft () const
CPoint | getBottomRight () const
CPoint | getTopCenter () const
CPoint | getBottomCenter () const
CPoint | getLeftCenter () const
CPoint | getRightCenter () const
CRect & | setTopLeft (const CPoint &inPoint)
CRect & | setTopRight (const CPoint &inPoint)
CRect & | setBottomLeft (const CPoint &inPoint)
CRect & | setBottomRight (const CPoint &inPoint)
CPoint | getCenter () const
CPoint | getSize () const
CRect & | setSize (const CPoint &size)
CRect & | offset (CCoord c)
CRect & | offset (CCoord x, CCoord y)
CRect & | inset (CCoord deltaX, CCoord deltaY)
CRect & | extend (CCoord deltaX, CCoord deltaY)
CRect & | moveTo (CCoord x, CCoord y)
CRect & | inset (const CPoint &p)
CRect & | extend (const CPoint &p)
CRect & | moveTo (const CPoint &p)
CRect & | offset (const CPoint &p)
CRect & | offsetInverse (const CPoint &p)
constexpr bool | pointInside (const CPoint &where) const
| Checks if point is inside this rect.
constexpr bool | isEmpty () const
constexpr bool | rectOverlap (const CRect &rect) const
constexpr bool | rectInside (const CRect &rect) const
| Checks if rect is inside this rect.
CRect & | bound (const CRect &rect)
CRect & | unite (const CRect &rect)
CRect & | normalize ()
CRect & | originize ()
CRect & | centerInside (const CRect &r)
| moves this rect to the center of r
CRect & | makeIntegral ()

## Public Attributes
CCoord | left {0.}
CCoord | top {0.}
CCoord | right {0.}
CCoord | bottom {0.}

## Detailed Description

Rect structure.

## Constructor & Destructor Documentation

constexpr CRect | ( |  | ) |
| default

constexpr CRect | ( | CCoord | left,
|  | CCoord | top,
|  | CCoord | right,
|  | CCoord | bottom
| ) |  |
| inline

constexpr CRect | ( | const CRect & | r | ) |
| inlinedefault

CRect | ( | const CPoint & | origin,
|  | const CPoint & | size
| ) |  |
| inline

## Member Function Documentation

CRect & bound | ( | const CRect & | rect | ) |
| inline

CRect & centerInside | ( | const CRect & | r | ) |
| inline

moves this rect to the center of r

CRect & extend | ( | CCoord | deltaX,
|  | CCoord | deltaY
| ) |  |
| inline

CRect & extend | ( | const CPoint & | p | ) |
| inline

CPoint getBottomCenter | ( |  | ) | const
| inline

CPoint getBottomLeft | ( |  | ) | const
| inline

CPoint getBottomRight | ( |  | ) | const
| inline

CPoint getCenter | ( |  | ) | const
| inline

constexpr CCoord getHeight | ( |  | ) | const
| inline

CPoint getLeftCenter | ( |  | ) | const
| inline

CPoint getRightCenter | ( |  | ) | const
| inline

CPoint getSize | ( |  | ) | const
| inline

CPoint getTopCenter | ( |  | ) | const
| inline

CPoint getTopLeft | ( |  | ) | const
| inline

CPoint getTopRight | ( |  | ) | const
| inline

constexpr CCoord getWidth | ( |  | ) | const
| inline

CRect & inset | ( | CCoord | deltaX,
|  | CCoord | deltaY
| ) |  |
| inline

CRect & inset | ( | const CPoint & | p | ) |
| inline

constexpr bool isEmpty | ( |  | ) | const
| inline

CRect & makeIntegral | ( |  | ) |
| inline

CRect & moveTo | ( | CCoord | x,
|  | CCoord | y
| ) |  |
| inline

CRect & moveTo | ( | const CPoint & | p | ) |
| inline

CRect & normalize | ( |  | ) |
| inline

CRect & offset | ( | CCoord | c | ) |
| inline

CRect & offset | ( | CCoord | x,
|  | CCoord | y
| ) |  |
| inline

CRect & offset | ( | const CPoint & | p | ) |
| inline

CRect & offsetInverse | ( | const CPoint & | p | ) |
| inline

constexpr bool operator!= | ( | const CRect & | other | ) | const
| inline

CRect & operator() | ( | CCoord | left,
|  | CCoord | top,
|  | CCoord | right,
|  | CCoord | bottom
| ) |  |
| inline

CRect& operator= | ( | const CRect & | r | ) |
| inlinedefault

constexpr bool operator== | ( | const CRect & | other | ) | const
| inline

CRect & originize | ( |  | ) |
| inline

constexpr bool pointInside | ( | const CPoint & | where | ) | const
| inline

Checks if point is inside this rect.

constexpr bool rectInside | ( | const CRect & | rect | ) | const
| inline

Checks if rect is inside this rect.

constexpr bool rectOverlap | ( | const CRect & | rect | ) | const
| inline

CRect & setBottomLeft | ( | const CPoint & | inPoint | ) |
| inline

CRect & setBottomRight | ( | const CPoint & | inPoint | ) |
| inline

CRect & setHeight | ( | CCoord | height | ) |
| inline

CRect & setSize | ( | const CPoint & | size | ) |
| inline

CRect & setTopLeft | ( | const CPoint & | inPoint | ) |
| inline

CRect & setTopRight | ( | const CPoint & | inPoint | ) |
| inline

CRect & setWidth | ( | CCoord | width | ) |
| inline

CRect & unite | ( | const CRect & | rect | ) |
| inline

## Member Data Documentation

CCoord bottom {0.}

CCoord left {0.}

CCoord right {0.}

CCoord top {0.}

The documentation for this struct was generated from the following file:

- crect.h